"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _authenticateInterface = require("./authenticateInterface.js");

var service = function service() {
  var post = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.postRequest;
  return {
    post: post('v0/authenticate', _authenticateInterface.authenticateInterface)
  };
};

exports.service = service;