"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.oAuthToken = exports.forgotPassword = exports.challenge = exports.authenticate = void 0;

var _authenticate = require("./authenticate/authenticate.js");

var _challenge = require("./challenge/challenge.js");

var _forgotPassword = require("./forgotPassword/forgotPassword.js");

var _oAuthToken = require("./oAuthToken/oAuthToken.js");

var authenticate = (0, _authenticate.service)();
exports.authenticate = authenticate;
var challenge = (0, _challenge.service)();
exports.challenge = challenge;
var forgotPassword = (0, _forgotPassword.service)();
exports.forgotPassword = forgotPassword;
var oAuthToken = (0, _oAuthToken.service)();
exports.oAuthToken = oAuthToken;