"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateInterface = void 0;

var _interface = require("../../../../helpers/interface.js");

var validateInterface = {
  accountNumber: String,
  accountNumberCheckDigit: String,
  accountTypeId: Number,
  bankCode: String,
  branchCode: String,
  branchCodeCheckDigit: (0, _interface.nullable)(String),
  document: (0, _interface.nullable)(String),
  documentTypeId: (0, _interface.nullable)(Number)
};
exports.validateInterface = validateInterface;