"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
const initialState = {
  brandsInfo: [],
  productTypesInfo: [],
  transactionProfilesInfo: []
};

var _default = (state = initialState, action = {}) => {
  switch (action.type) {
    case 'GET_BRANDS_INFO':
      return { ...state,
        brandsInfo: action.data
      };

    case 'GET_PRODUCT_TYPES_INFO':
      return { ...state,
        productTypesInfo: action.data
      };

    case 'GET_TRANSACTION_PROFILES_INFO':
      return { ...state,
        transactionProfilesInfo: action.data
      };

    default:
      return state;
  }
};

exports.default = _default;