"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _addressesInterface = require("./addressesInterface.js");

const service = (get = _request.getRequest, put = _request.putRequest) => ({
  get: get(params => `v0/affiliation/merchants/${params.affiliationCode}/addresses`),
  put: put(params => `v0/affiliation/merchants/${params.affiliationCode}/addresses/` + `${params.key}`, _addressesInterface.AddressesInterface)
});

exports.service = service;