"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.bankAccountsInterface = void 0;

var _interface = require("../../../helpers/interface.js");

const bankAccountsInterface = {
  bankId: (0, _interface.nullable)(Number),
  branchCode: (0, _interface.nullable)(String),
  branchCodeCheckDigit: (0, _interface.nullable)(String),
  accountNumber: (0, _interface.nullable)(String),
  accountNumberCheckDigit: (0, _interface.nullable)(String),
  accountTypeId: (0, _interface.nullable)(Number),
  statusId: (0, _interface.nullable)(Number)
};
exports.bankAccountsInterface = bankAccountsInterface;