"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cities = exports.states = exports.banks = exports.bankAccounts = exports.merchant = exports.partners = exports.contacts = exports.addresses = void 0;

var _addresses = require("./addresses/addresses.js");

var _contacts = require("./contacts/contacts.js");

var _partners = require("./partners/partners.js");

var _merchant = require("./merchant/merchant.js");

var _bankAccounts = require("./bankAccounts/bankAccounts.js");

var _banks = require("./banks/banks.js");

var _states = require("./states/states.js");

var _cities = require("./cities/cities.js");

const addresses = (0, _addresses.service)();
exports.addresses = addresses;
const contacts = (0, _contacts.service)();
exports.contacts = contacts;
const partners = (0, _partners.service)();
exports.partners = partners;
const merchant = (0, _merchant.service)();
exports.merchant = merchant;
const bankAccounts = (0, _bankAccounts.service)();
exports.bankAccounts = bankAccounts;
const banks = (0, _banks.service)();
exports.banks = banks;
const states = (0, _states.service)();
exports.states = states;
const cities = (0, _cities.service)();
exports.cities = cities;