"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _pagination = require("../../../helpers/pagination.js");

var _request = require("../../../helpers/request.js");

const service = (get = _request.getRequest) => ({
  list: get(params => {
    const pagination = (0, _pagination.getPagination)(params.page, params.pageSize);
    return 'v0/all-sales/transactions?' + `affiliationCodes=${params.affiliationCodes}` + `&startDate=${params.startDate}&finalDate=${params.finalDate}` + `${params.page ? `&${pagination}` + '&includes=financialMovements' : ''}`;
  })
});

exports.service = service;