"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.bankAccountsInterface = void 0;

var _interface = require("../../../helpers/interface.js");

const bankAccountsInterface = {
  accountNumber: String,
  accountNumberVerificationCode: String,
  agencyNumber: String,
  agencyNumberVerificationCode: (0, _interface.nullable)(String),
  bankId: Number,
  statusId: Number,
  typeId: Number,
  centralizedPayment: Boolean
};
exports.bankAccountsInterface = bankAccountsInterface;