"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.status = exports.realtime = exports.profiles = exports.productTypes = exports.brands = exports.authorizationsReport = exports.authorizations = void 0;

var _authorizationsReport = require("./authorizationsReport/authorizationsReport.js");

var _authorizations = require("./authorizations/authorizations.js");

var _brands = require("./brands/brands.js");

var _productTypes = require("./productTypes/productTypes.js");

var _profiles = require("./profiles/profiles.js");

var _realtime = require("./realtime/realtime.js");

var _status = require("./status/status.js");

const authorizations = (0, _authorizations.service)();
exports.authorizations = authorizations;
const authorizationsReport = (0, _authorizationsReport.service)();
exports.authorizationsReport = authorizationsReport;
const brands = (0, _brands.service)();
exports.brands = brands;
const productTypes = (0, _productTypes.service)();
exports.productTypes = productTypes;
const profiles = (0, _profiles.service)();
exports.profiles = profiles;
const realtime = (0, _realtime.service)();
exports.realtime = realtime;
const status = (0, _status.service)();
exports.status = status;