import { getPagination } from '../../../helpers/pagination.js';
import { getRequest } from '../../../helpers/request.js';
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  return {
    list: get(function (params) {
      var pagination = getPagination(params.page, params.pageSize);
      return 'v0/acquirer-sales/transactions?' + "affiliationCodes=".concat(params.affiliationCodes) + "&startDate=".concat(params.startDate, "&finalDate=").concat(params.finalDate) + "".concat(params.page ? "&".concat(pagination) : '') + '&includes=financialMovements';
    })
  };
};