import { getRequest, postRequest } from '../../../helpers/request.js';
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  var post = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : postRequest;
  return {
    get: get(function (params) {
      return "v0/credit/".concat(params.document, "/loans");
    }),
    post: post(function (params) {
      return "v0/credit/".concat(params.document, "/proposals/") + "".concat(params.proposalId, "/loans");
    })
  };
};