import { service as addressesService } from './addresses/addresses.js';
import { service as availableBanksService } from './availableBanks/availableBanks.js';
import { service as bankAccountsService } from './bankAccounts/bankAccounts.js';
import { service as bankSlipService } from './bankSlip/bankSlip.js';
import { service as brandsService } from './brands/brands.js';
import { service as captureMethodsService } from './captureMethods/captureMethods.js';
import { service as collactService } from './collact/collact.js';
import { service as contactsService } from './contacts/contacts.js';
import { service as contactTypesService } from './contactTypes/contactTypes.js';
import { service as feesService } from './fees/fees.js';
import { service as groupedEntriesService } from './groupedEntries/groupedEntries.js';
import { service as isMEIService } from './isMEI/isMEI.js';
import { service as merchantListService } from './merchantList/merchantList.js';
import { service as merchantService } from './merchant/merchant.js';
import { service as openBalanceService } from './openBalance/openBalance.js';
import { service as partnersService } from './partners/partners.js';
import { service as paymentInfoService } from './paymentInfo/paymentInfo.js';
import { service as paymentsPerDateService } from './paymentsPerDate/paymentsPerDate.js';
import { service as preAuthorizationService } from './preAuthorization/preAuthorization.js';
import { service as rentedTerminalsService } from './rentedTerminals/rentedTerminals.js';
import { service as rentsPerDateService } from './rents/rentsPerDate.js';
import { service as simulateSalesService } from './simulateSales/simulateSales.js';
import { service as subscriptionsService } from './subscriptions/subscriptions.js';
import { service as terminalsService, activate as activateTerminal, deactivate as deactivateTerminal } from './terminals/terminals.js';
import { service as termService } from './term/term.js';
import { service as termsHashesService } from './termsHashes/termsHashes.js';
var addresses = addressesService();
var availableBanks = availableBanksService();
var bankAccounts = bankAccountsService();
var bankSlip = bankSlipService();
var brands = brandsService();
var captureMethods = captureMethodsService();
var collact = collactService();
var contacts = contactsService();
var contactTypes = contactTypesService();
var fees = feesService();
var groupedEntries = groupedEntriesService();
var isMEI = isMEIService();
var merchant = merchantService();
var merchantList = merchantListService();
var openBalance = openBalanceService();
var partners = partnersService();
var paymentInfo = paymentInfoService();
var paymentsPerDate = paymentsPerDateService();
var preAuthorization = preAuthorizationService();
var rentedTerminals = rentedTerminalsService();
var rentsPerDate = rentsPerDateService();
var simulateSales = simulateSalesService();
var subscriptions = subscriptionsService();
var term = termService();
var terminals = terminalsService();
var termsHashes = termsHashesService();
export { activateTerminal, addresses, availableBanks, bankAccounts, bankSlip, brands, captureMethods, collact, contacts, contactTypes, deactivateTerminal, fees, groupedEntries, isMEI, merchant, merchantList, openBalance, partners, paymentInfo, paymentsPerDate, preAuthorization, rentedTerminals, rentsPerDate, simulateSales, subscriptions, term, terminals, termsHashes };