import { getRequest, putRequest } from '../../../helpers/request.js';
import { PreAuthorizationInterface } from './preAuthorizationInterface.js';
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  var put = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : putRequest;
  return {
    get: get(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/pre-authorization");
    }),
    put: put(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/pre-authorization");
    }, PreAuthorizationInterface)
  };
};