import { getRequest } from '../../../helpers/request.js';

var customResponseParser = function customResponseParser(response) {
  return response.status !== 204 ? response.blob() : response;
};

var requestConfig = {
  responseParser: customResponseParser
};
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  return {
    get: get(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/") + "terms/".concat(params.termHash);
    }, requestConfig)
  };
};