import { get as getHeaders, append as appendToHeaders, remove as removeFromHeaders } from './headers.js';
var AUTH_KEY = 'Authorization';
export var get = function get() {
  return getHeaders()[AUTH_KEY];
};
export var set = function set(type, token) {
  if (type && token) {
    appendToHeaders(AUTH_KEY, "".concat(type, " ").concat(token));
  }
};
export var remove = function remove() {
  removeFromHeaders(AUTH_KEY);
};