import { postRequest, getRequest } from '../../../helpers/request.js';
import { BankSlipInterface } from './bankSlipInterface.js';

export const service = (post = postRequest, get = getRequest) => ({
  post: post(params => `v0/merchants/${params.affiliationCode}/bankslip`,
    BankSlipInterface),
  get: get(params => `v0/bankslip/${params.id}`),
});
