import { getRequest, putRequest } from '../../../helpers/request.js';
import { PreAuthorizationInterface } from './preAuthorizationInterface.js';

export const service = (get = getRequest, put = putRequest) => ({
  get: get(params => `v0/merchants/${params.affiliationCode}/pre-authorization`),
  put: put(params => `v0/merchants/${params.affiliationCode}/pre-authorization`,
    PreAuthorizationInterface),
});
