import { getOffsetPagination } from './offsetPagination.js';

describe('Offset Pagination Helper', () => {
  it('Should call getOffsetPagination with parameters.', () => {
    expect(getOffsetPagination(1, 25)).to.equal('offset=1&limit=25');
  });

  it('Should call getOffsetPagination without parameters.', () => {
    expect(getOffsetPagination()).to.equal('offset=0&limit=30');
  });
});
