import { getRequest, putRequest, postRequest } from '../../../helpers/request.js';
import { postPartnerInterface, putPartnerInterface } from './partnersInterface.js';


export const service =
  (get = getRequest, put = putRequest, post = postRequest) => ({
    get: get(params => `v0/affiliation/merchants/${params.affiliationCode}/partners`),
    put: put(params => `v0/affiliation/merchants/${params.affiliationCode}/partners/` +
      `${params.partnerKey}`, putPartnerInterface),
    post: post(params => `v0/affiliation/merchants/${params.affiliationCode}/partners`,
      postPartnerInterface),
  });
