import { matchesInterface } from '../../../helpers/interface.js';
import { forgotPasswordInterface } from './forgotPasswordInterface.js';

describe('Credentials Forgot Password interface.', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      email: 'string',
    };

    expect(matchesInterface(forgotPasswordInterface)(payload))
      .to.be.true;
  });
});
