import { service as creditLinesService } from './creditLines/creditLines.js';
import { service as loansService } from './loans/loans.js';
import { service as proposalsService } from './proposals/proposals.js';
import { service as paymentsForecastService } from './payments_forecast/payments_forecast.js';
import { service as paymentsService } from './payments/payments.js';

const creditLines = creditLinesService();
const loans = loansService();
const proposals = proposalsService();
const paymentsForecast = paymentsForecastService();
const payments = paymentsService();

export {
  creditLines,
  loans,
  proposals,
  paymentsForecast,
  payments,
};
