import { matchesInterface } from '../../../helpers/interface.js';
import { BankSlipInterface } from './bankSlipInterface.js';

describe('Bank Slip Interfaces', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      amount: 123,
      dueDate: '2019-09-20',
      email: 'email@email.com',
      ticketNumber: '123',
    };

    expect(matchesInterface(BankSlipInterface)(payload))
      .to.be.equal(true);
  });

  it('Should validate the payload according to the interface.', () => {
    const payload = {
      amount: '123',
    };

    expect(matchesInterface(BankSlipInterface)(payload))
      .to.be.equal(false);
  });
});
