import * as merchants from './index.js';

describe('Merchants index.js', () => {
  it('Should export exact number of services', () => {
    expect(Object.values(merchants).length).to.be.equal(28);
  });

  it('Should export all expected services', () => {
    expect(merchants.activateTerminal).to.be.not.undefined;
    expect(merchants.addresses).to.be.not.undefined;
    expect(merchants.availableBanks).to.be.not.undefined;
    expect(merchants.bankAccounts).to.be.not.undefined;
    expect(merchants.bankSlip).to.be.not.undefined;
    expect(merchants.brands).to.be.not.undefined;
    expect(merchants.captureMethods).to.be.not.undefined;
    expect(merchants.collact).to.be.not.undefined;
    expect(merchants.contacts).to.be.not.undefined;
    expect(merchants.contactTypes).to.be.not.undefined;
    expect(merchants.deactivateTerminal).to.be.not.undefined;
    expect(merchants.fees).to.be.not.undefined;
    expect(merchants.groupedEntries).to.be.not.undefined;
    expect(merchants.isMEI).to.be.not.undefined;
    expect(merchants.merchant).to.be.not.undefined;
    expect(merchants.merchantList).to.be.not.undefined;
    expect(merchants.openBalance).to.be.not.undefined;
    expect(merchants.partners).to.be.not.undefined;
    expect(merchants.paymentInfo).to.be.not.undefined;
    expect(merchants.paymentsPerDate).to.be.not.undefined;
    expect(merchants.preAuthorization).to.be.not.undefined;
    expect(merchants.rentedTerminals).to.be.not.undefined;
    expect(merchants.rentsPerDate).to.be.not.undefined;
    expect(merchants.simulateSales).to.be.not.undefined;
    expect(merchants.subscriptions).to.be.not.undefined;
    expect(merchants.term).to.be.not.undefined;
    expect(merchants.terminals).to.be.not.undefined;
    expect(merchants.termsHashes).to.be.not.undefined;
  });
});
