import { matchesInterface } from '../../../helpers/interface.js';
import { PreAuthorizationInterface } from './preAuthorizationInterface.js';

describe('Pre Authorization Interfaces', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      status: true,
    };

    expect(matchesInterface(PreAuthorizationInterface)(payload))
      .to.be.equal(true);
  });

  it('Should validate the payload according to the interface.', () => {
    const payload = {
      status: '123',
    };

    expect(matchesInterface(PreAuthorizationInterface)(payload))
      .to.be.equal(false);
  });
});
