import { getRequest } from '../../../helpers/request.js';

export const service = (get = getRequest) => ({
  get: get(params => `v0/payments?affiliationCodes=${params.affiliationCodes}` +
    `&startDate=${params.startDate}&finalDate=${params.finalDate}` +
    `&crossBalance=${params.crossBalance || 'false'}` +
    `${params.walletTypeId ? `&walletTypeId=${params.walletTypeId}` : ''}`),
});
