import { service as currentUserService } from './currentUser/currentUser.js';
import { service as identityProviderService } from './identityProvider/identityProvider.js';
import { service as usersListService } from './usersList/usersList.js';
import { service as tagsService } from './tags/tags.js';

const currentUser = currentUserService();
const identityProvider = identityProviderService();
const usersList = usersListService();
const tags = tagsService();

export {
  currentUser,
  identityProvider,
  usersList,
  tags,
};
