"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.products = exports.plans = exports.agreements = void 0;

var _agreements = require("./agreements/agreements.js");

var _plans = require("./plans/plans.js");

var _products = require("./products/products.js");

var agreements = (0, _agreements.service)();
exports.agreements = agreements;
var plans = (0, _plans.service)();
exports.plans = plans;
var products = (0, _products.service)();
exports.products = products;