"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _bankSlipInterface = require("./bankSlipInterface.js");

var service = function service() {
  var post = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.postRequest;
  var get = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _request.getRequest;
  return {
    post: post(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/bankslip");
    }, _bankSlipInterface.BankSlipInterface),
    get: get(function (params) {
      return "v0/bankslip/".concat(params.id);
    })
  };
};

exports.service = service;