"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tags = exports.usersList = exports.identityProvider = exports.currentUser = void 0;

var _currentUser = require("./currentUser/currentUser.js");

var _identityProvider = require("./identityProvider/identityProvider.js");

var _usersList = require("./usersList/usersList.js");

var _tags = require("./tags/tags.js");

var currentUser = (0, _currentUser.service)();
exports.currentUser = currentUser;
var identityProvider = (0, _identityProvider.service)();
exports.identityProvider = identityProvider;
var usersList = (0, _usersList.service)();
exports.usersList = usersList;
var tags = (0, _tags.service)();
exports.tags = tags;