"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _pagination = require("../../../helpers/pagination.js");

var _request = require("../../../helpers/request.js");

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  return {
    list: get(function (params) {
      var pagination = (0, _pagination.getPagination)(params.page, params.pageSize);
      return 'v0/van-sales/transactions?' + "affiliationCodes=".concat(params.affiliationCodes) + "&startDate=".concat(params.startDate, "&finalDate=").concat(params.finalDate) + "".concat(params.page ? "&".concat(pagination) : '');
    })
  };
};

exports.service = service;