"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.set = exports.get = void 0;

var _constants = require("../constants/constants.js");

var _validateBaseUrl = require("../helpers/validateBaseUrl.js");

var defaultBaseUrl;

var get = function get() {
  return defaultBaseUrl || _constants.API_URL;
};

exports.get = get;

var set = function set() {
  var baseUrl = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _constants.API_URL;
  defaultBaseUrl = (0, _validateBaseUrl.validateBaseUrl)(baseUrl);
};

exports.set = set;