"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTransactionProfiles = exports.getProductTypes = exports.getBrands = void 0;

var _index = require("./index.js");

var sdk = _interopRequireWildcard(require("../../v0/src/index.js"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const getBrands = ({
  apitoken
}, instance) => (0, _index.sdkRequest)(() => sdk.transactions.brands.get(), instance, apitoken);

exports.getBrands = getBrands;

const getProductTypes = ({
  apitoken
}, instance) => (0, _index.sdkRequest)(() => sdk.transactions.productTypes.get(), instance, apitoken);

exports.getProductTypes = getProductTypes;

const getTransactionProfiles = ({
  apitoken
}, instance) => (0, _index.sdkRequest)(() => sdk.transactions.profiles.get(), instance, apitoken);

exports.getTransactionProfiles = getTransactionProfiles;