"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _bankSlipInterface = require("./bankSlipInterface.js");

const service = (post = _request.postRequest, get = _request.getRequest) => ({
  post: post(params => `v0/merchants/${params.affiliationCode}/bankslip`, _bankSlipInterface.BankSlipInterface),
  get: get(params => `v0/bankslip/${params.id}`)
});

exports.service = service;