"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _merchantInterface = require("./merchantInterface.js");

const service = (get = _request.getRequest, patch = _request.patchRequest) => ({
  get: get(params => `v0/merchants/${params.affiliationCode}`),
  patch: patch(params => `v0/merchants/${params.affiliationCode}`, _merchantInterface.merchantInterface)
});

exports.service = service;