"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _preAuthorizationInterface = require("./preAuthorizationInterface.js");

const service = (get = _request.getRequest, put = _request.putRequest) => ({
  get: get(params => `v0/merchants/${params.affiliationCode}/pre-authorization`),
  put: put(params => `v0/merchants/${params.affiliationCode}/pre-authorization`, _preAuthorizationInterface.PreAuthorizationInterface)
});

exports.service = service;