"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.receivablesFiles = exports.financialInstitutions = exports.creditLockContracts = exports.bankAccounts = void 0;

var _bankAccounts = require("./bankaccounts/bankAccounts.js");

var _creditLockContracts = require("./creditLockContracts/creditLockContracts.js");

var _financialInstitutions = require("./financialInstitutions/financialInstitutions.js");

var _receivablesFiles = require("./receivablesFiles/receivablesFiles.js");

const bankAccounts = (0, _bankAccounts.service)();
exports.bankAccounts = bankAccounts;
const creditLockContracts = (0, _creditLockContracts.service)();
exports.creditLockContracts = creditLockContracts;
const financialInstitutions = (0, _financialInstitutions.service)();
exports.financialInstitutions = financialInstitutions;
const receivablesFiles = (0, _receivablesFiles.service)();
exports.receivablesFiles = receivablesFiles;