"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.remove = exports.set = exports.get = void 0;

var _headers = require("../headers.js");

const IS_SSO = 'is-SSO';

const get = () => (0, _headers.get)()[IS_SSO];

exports.get = get;

const set = isSSO => {
  if (isSSO) {
    (0, _headers.append)(IS_SSO, isSSO);
  }
};

exports.set = set;

const remove = () => {
  (0, _headers.remove)(IS_SSO);
};

exports.remove = remove;