import { sdkRequest } from './index.js';
import * as sdk from '../../v0/src/index.js';
export var getSalesReport = function getSalesReport(_ref, instance) {
  var affiliationCodes = _ref.stonecode,
      apitoken = _ref.apitoken,
      startDate = _ref.startdate,
      finalDate = _ref.finaldate;
  return sdkRequest(function () {
    return sdk.sales.report.get({
      affiliationCodes: affiliationCodes,
      startDate: startDate,
      finalDate: finalDate
    });
  }, instance, apitoken);
};