import { postRequest, getRequest } from '../../../helpers/request.js';
import { BankSlipInterface } from './bankSlipInterface.js';
export var service = function service() {
  var post = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : postRequest;
  var get = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : getRequest;
  return {
    post: post(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/bankslip");
    }, BankSlipInterface),
    get: get(function (params) {
      return "v0/bankslip/".concat(params.id);
    })
  };
};