import { getRequest, putRequest, postRequest } from '../../../helpers/request.js';
import { contactsInterface } from './contactsInterface.js';
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  var put = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : putRequest;
  var post = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : postRequest;
  return {
    get: get(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/contacts");
    }),
    put: put(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/contacts/") + "".concat(params.id);
    }, contactsInterface),
    post: post(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/contacts");
    }, contactsInterface)
  };
};