import { get as getHeaders, append as appendToHeaders, remove as removeFromHeaders } from '../headers.js';
var IS_SSO = 'is-SSO';
export var get = function get() {
  return getHeaders()[IS_SSO];
};
export var set = function set(isSSO) {
  if (isSSO) {
    appendToHeaders(IS_SSO, isSSO);
  }
};
export var remove = function remove() {
  removeFromHeaders(IS_SSO);
};