import { uniqId } from './uniqId.js';

describe('uniqId', () => {
  it('Should generate unique ids a decent amount of times', () => {
    const results = [];

    for (let i = 0; i < 10000; i += 1) {
      results.push(uniqId());
    }

    const uniqueResults = [...new Set(results)];

    expect(results.length).to.equal(uniqueResults.length);
  });
});
