import { matchesInterface } from '../../../helpers/interface.js';
import { contactsInterface } from './contactsInterface.js';

describe('Contacts Interface', () => {
  it('Should validate the PUT payload according to the interface.', () => {
    const payload = {
      emails: [],
      phones: [],
      friendlyName: 'String',
      typeId: 1,
    };
    expect(matchesInterface(contactsInterface)(payload))
      .to.be.true;
  });
});
