import * as billing from './index.js';

describe('Billing index.js', () => {
  it('Should export exact number of services', () => {
    expect(Object.values(billing).length).to.be.equal(3);
  });

  it('Should export all expected services', () => {
    expect(billing.agreements).to.be.not.undefined;
    expect(billing.plans).to.be.not.undefined;
    expect(billing.products).to.be.not.undefined;
  });
});
