import { matchesInterface } from '../../../helpers/interface.js';
import { proposalsInterface } from './proposalsInterface.js';

describe('Proposals Models', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      creditLineId: 'qdiyxsnh7hho7fkb13gidqnj2',
      creditAmount: 100000.99,
    };
    expect(matchesInterface(proposalsInterface)(payload)).to.be.true;
  });
});
