import sinon from 'sinon';
import { service as statusService } from './status.js';

describe('Status Module', () => {
  it('Should have methods after initialization.', () => {
    const service = statusService();
    expect(service.get).to.be.a('function');
  });

  it('Should call get request.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = statusService(getRequest);

    service.get();

    expect(spy).to.have.been.calledOnce;
  });
});
