import {
  get as getHeaders,
  append as appendToHeaders,
  remove as removeFromHeaders,
} from '../headers.js';

const IS_SSO = 'is-SSO';

export const get = () => getHeaders()[IS_SSO];

export const set = (isSSO) => {
  if (isSSO) {
    appendToHeaders(IS_SSO, isSSO);
  }
};

export const remove = () => {
  removeFromHeaders(IS_SSO);
};
